* tests/test-btowc*.sh: Renamed 1 -> 2 -> 3 -> 1.
* tests/test-btowc.c: Update.
* modules/btowc-tests: Update.
+2023-07-29 Bruno Haible <bruno@clisp.org>
+
+ btowc tests: Renumber tests.
+ * tests/test-btowc*.sh: Renamed 1 -> 2 -> 3 -> 1.
+ * tests/test-btowc.c: Update.
+ * modules/btowc-tests: Update.
+
2023-07-29 Bruno Haible <bruno@clisp.org>
time-h: Simplify after 2017-05-01 change.
Files:
-tests/test-btowc1.sh
-tests/test-btowc2.sh
-tests/test-btowc3.sh
+tests/test-btowc-1.sh
+tests/test-btowc-2.sh
+tests/test-btowc-3.sh
tests/test-btowc.c
tests/signature.h
tests/macros.h
gt_LOCALE_FR_UTF8
Makefile.am:
-TESTS += test-btowc1.sh test-btowc2.sh test-btowc3.sh
+TESTS += test-btowc-1.sh test-btowc-2.sh test-btowc-3.sh
TESTS_ENVIRONMENT += LOCALE_FR='@LOCALE_FR@' LOCALE_FR_UTF8='@LOCALE_FR_UTF8@'
check_PROGRAMS += test-btowc
test_btowc_LDADD = $(LDADD) $(SETLOCALE_LIB)
--- /dev/null
+#!/bin/sh
+
+# Test whether the POSIX locale has encoding errors.
+LC_ALL=C \
+${CHECKER} ./test-btowc${EXEEXT} 1 || exit 1
+LC_ALL=POSIX \
+${CHECKER} ./test-btowc${EXEEXT} 1 || exit 1
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+# Test in an ISO-8859-1 or ISO-8859-15 locale.
+: "${LOCALE_FR=fr_FR}"
+if test $LOCALE_FR = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no traditional french locale is installed"
+ else
+ echo "Skipping test: no traditional french locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$LOCALE_FR \
+${CHECKER} ./test-btowc${EXEEXT} 2
--- /dev/null
+#!/bin/sh
+
+# Test whether a specific UTF-8 locale is installed.
+: "${LOCALE_FR_UTF8=fr_FR.UTF-8}"
+if test $LOCALE_FR_UTF8 = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no french Unicode locale is installed"
+ else
+ echo "Skipping test: no french Unicode locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$LOCALE_FR_UTF8 \
+${CHECKER} ./test-btowc${EXEEXT} 3
"C" locale. Furthermore, when you attempt to set the "C" or "POSIX"
locale via setlocale(), what you get is a "C" locale with UTF-8 encoding,
that is, effectively the "C.UTF-8" locale. */
- if (argc > 1 && strcmp (argv[1], "3") == 0 && MB_CUR_MAX > 1)
- argv[1] = "2";
+ if (argc > 1 && strcmp (argv[1], "1") == 0 && MB_CUR_MAX > 1)
+ argv[1] = "3";
#endif
if (argc > 1)
switch (argv[1][0])
{
case '1':
- /* Locale encoding is ISO-8859-1 or ISO-8859-15. */
- for (c = 0; c < 0x80; c++)
- ASSERT (btowc (c) == c);
- for (c = 0xA0; c < 0x100; c++)
- ASSERT (btowc (c) != WEOF);
- return 0;
-
- case '2':
- /* Locale encoding is UTF-8. */
- for (c = 0; c < 0x80; c++)
- ASSERT (btowc (c) == c);
- for (c = 0x80; c < 0x100; c++)
- ASSERT (btowc (c) == WEOF);
- return 0;
-
- case '3':
/* C or POSIX locale. */
for (c = 0; c < 0x100; c++)
if (c != 0)
ASSERT (wc == c || wc == 0xDF00 + c);
}
return 0;
+
+ case '2':
+ /* Locale encoding is ISO-8859-1 or ISO-8859-15. */
+ for (c = 0; c < 0x80; c++)
+ ASSERT (btowc (c) == c);
+ for (c = 0xA0; c < 0x100; c++)
+ ASSERT (btowc (c) != WEOF);
+ return 0;
+
+ case '3':
+ /* Locale encoding is UTF-8. */
+ for (c = 0; c < 0x80; c++)
+ ASSERT (btowc (c) == c);
+ for (c = 0x80; c < 0x100; c++)
+ ASSERT (btowc (c) == WEOF);
+ return 0;
}
return 1;
+++ /dev/null
-#!/bin/sh
-
-# Test in an ISO-8859-1 or ISO-8859-15 locale.
-: "${LOCALE_FR=fr_FR}"
-if test $LOCALE_FR = none; then
- if test -f /usr/bin/localedef; then
- echo "Skipping test: no traditional french locale is installed"
- else
- echo "Skipping test: no traditional french locale is supported"
- fi
- exit 77
-fi
-
-LC_ALL=$LOCALE_FR \
-${CHECKER} ./test-btowc${EXEEXT} 1
+++ /dev/null
-#!/bin/sh
-
-# Test whether a specific UTF-8 locale is installed.
-: "${LOCALE_FR_UTF8=fr_FR.UTF-8}"
-if test $LOCALE_FR_UTF8 = none; then
- if test -f /usr/bin/localedef; then
- echo "Skipping test: no french Unicode locale is installed"
- else
- echo "Skipping test: no french Unicode locale is supported"
- fi
- exit 77
-fi
-
-LC_ALL=$LOCALE_FR_UTF8 \
-${CHECKER} ./test-btowc${EXEEXT} 2
+++ /dev/null
-#!/bin/sh
-
-# Test whether the POSIX locale has encoding errors.
-LC_ALL=C \
-${CHECKER} ./test-btowc${EXEEXT} 3 || exit 1
-LC_ALL=POSIX \
-${CHECKER} ./test-btowc${EXEEXT} 3 || exit 1
-
-exit 0